Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Failed to emerge kde-base/kdepimlibs-4.10.0-r1
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 857
Location: /mnt/Gentoo/

PostPosted: Sat Feb 23, 2013 5:53 pm    Post subject: [SOLVED] Failed to emerge kde-base/kdepimlibs-4.10.0-r1 Reply with quote

After Today's emerge -uDN world and revdep-rebuild, system would like to rebuild kdepimlibs and kmail.

During compilation, after [56%] compilation stops with error (bellow). I cannot also update (related?) dev-libs/cyrus-sasl-2.1.26-r1
:
Code:
[ 56%] Built target akonadi-kde
make[1]: Leaving directory `/mnt/video/tmp/portage/kde-base/kdepimlibs-4.10.0-r1/work/kdepimlibs-4.10.0_build'
make: *** [all] Error 2
 * ERROR: kde-base/kdepimlibs-4.10.0-r1 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=kde-base/kdepimlibs-4.10.0-r1'`,
 * the complete build log and the output of `emerge -pqv '=kde-base/kdepimlibs-4.10.0-r1'`.
 * The complete build log is located at '/mnt/video/tmp/portage/kde-base/kdepimlibs-4.10.0-r1/temp/build.log'.
 * The ebuild environment file is located at '/mnt/video/tmp/portage/kde-base/kdepimlibs-4.10.0-r1/temp/environment'.
 * Working directory: '/mnt/video/tmp/portage/kde-base/kdepimlibs-4.10.0-r1/work/kdepimlibs-4.10.0_build'
 * S: '/mnt/video/tmp/portage/kde-base/kdepimlibs-4.10.0-r1/work/kdepimlibs-4.10.0'

>>> Failed to emerge kde-base/kdepimlibs-4.10.0-r1, Log file:

>>>  '/mnt/video/tmp/portage/kde-base/kdepimlibs-4.10.0-r1/temp/build.log'


Last edited by Xywa on Sun Feb 24, 2013 7:58 am; edited 1 time in total
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 32442
Location: 56N 3W

PostPosted: Sat Feb 23, 2013 6:18 pm    Post subject: Reply with quote

Xywa,

Please put the file /mnt/video/tmp/portage/kde-base/kdepimlibs-4.10.0-r1/temp/build.log onto a pastebin site.

The message you posts says 'it broke' but the why has long scrolled off the screen.
It will still be in the build log.

wgetpaste is your friend.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2336

PostPosted: Sat Feb 23, 2013 6:46 pm    Post subject: Reply with quote

Xywa ...

If this is the same build error as reported on #gentoo it seems kio_smtp is failing to compile, with errors relating to sasl.

Your failed build of cyrus-sasl is probably bug #458870 ... if these two issues are related I can't say for sure, it may be some deeper issue with kio_smtp and sasl.

best ... khay
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 857
Location: /mnt/Gentoo/

PostPosted: Sat Feb 23, 2013 7:08 pm    Post subject: Reply with quote

khayyam wrote:
Xywa ...

If this is the same build error as reported on #gentoo it seems kio_smtp is failing to compile, with errors relating to sasl.

Your failed build of cyrus-sasl is probably bug #458870 ... if these two issues are related I can't say for sure, it may be some deeper issue with kio_smtp and sasl.

best ... khay



I thought the same, as during revdev-rebuild I have informations about (requires libsasl2.so.2):

Code:
# revdep-rebuild
 * Configuring search environment for revdep-rebuild

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 60% ]  *   broken /usr/lib64/kde4/kio_imap4.so (requires libsasl2.so.2)
 *   broken /usr/lib64/kde4/kio_pop3.so (requires libsasl2.so.2)
 *   broken /usr/lib64/kde4/kio_sieve.so (requires libsasl2.so.2)
 *   broken /usr/lib64/kde4/kio_smtp.so (requires libsasl2.so.2)
[ 71% ]  *   broken /usr/lib64/libkimap.so.4.10.0 (requires libsasl2.so.2)
 *   broken /usr/lib64/libkldap.so.4.10.0 (requires libsasl2.so.2)
 *   broken /usr/lib64/libkmanagesieve.so.4.10.0 (requires libsasl2.so.2)
[ 100% ]                 
 * Generated new 3_broken.rr
 * Assigning files to packages
 *   /usr/lib64/kde4/kio_imap4.so -> kde-base/kdepimlibs
 *   /usr/lib64/kde4/kio_pop3.so -> kde-base/kdepimlibs
 *   /usr/lib64/kde4/kio_sieve.so -> kde-base/kdepimlibs
 *   /usr/lib64/kde4/kio_smtp.so -> kde-base/kdepimlibs
 *   /usr/lib64/libkimap.so.4.10.0 -> kde-base/kdepimlibs
 *   /usr/lib64/libkldap.so.4.10.0 -> kde-base/kdepimlibs
 *   /usr/lib64/libkmanagesieve.so.4.10.0 -> kde-base/kmail
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --complete-graph=y --oneshot   kde-base/kdepimlibs:4 kde-base/kmail:4                                                                           
.....


So I will try again after fixing this:
Failed to emerge dev-libs/cyrus-sasl-2.1.26-r1
http://forums.gentoo.org/viewtopic-t-952128.html
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2232
Location: Netherlands

PostPosted: Sat Feb 23, 2013 7:13 pm    Post subject: Reply with quote

Had the same problem after updating world.
Take a look at bug 458804 last entry.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 857
Location: /mnt/Gentoo/

PostPosted: Sat Feb 23, 2013 7:58 pm    Post subject: Reply with quote

gerard82 wrote:
Had the same problem after updating world.
Take a look at bug 458804 last entry.
Gerard.


Downgrading cyrus-sasl did not help.
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 857
Location: /mnt/Gentoo/

PostPosted: Sat Feb 23, 2013 8:07 pm    Post subject: Reply with quote

NeddySeagoon wrote:
Xywa,

Please put the file /mnt/video/tmp/portage/kde-base/kdepimlibs-4.10.0-r1/temp/build.log onto a pastebin site.

The message you posts says 'it broke' but the why has long scrolled off the screen.
It will still be in the build log.

wgetpaste is your friend.


Many thanks for information about wgetpaste :P I though there were only paid websites to paste a log.

Here the log details:
http://bpaste.net/show/79302/

Is there any chance to downgrade to kdepimlibs-4.10.0?
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2232
Location: Netherlands

PostPosted: Sat Feb 23, 2013 8:25 pm    Post subject: Reply with quote

Hi Xywa,
Code:
usr/include/sasl/sasl.h:228:35: error: typedef ‘sasl_malloc_t’ is initialized (use decltype instead)
/usr/include/sasl/sasl.h:228:29: error: ‘size_t’ was not declared in this scope
/usr/include/sasl/sasl.h:229:29: error: typedef ‘sasl_calloc_t’ is initialized (use decltype instead)
/usr/include/sasl/sasl.h:229:29: error: ‘size_t’ was not declared in this scope
/usr/include/sasl/sasl.h:229:37: error: ‘size_t’ was not declared in this scope
/usr/include/sasl/sasl.h:230:38: error: ‘size_t’ has not been declared
/usr/include/sasl/sasl.h:233:33: error: variable or field ‘sasl_set_alloc’ declared void
/usr/include/sasl/sasl.h:233:33: error: ‘sasl_malloc_t’ was not declared in this scope
/usr/include/sasl/sasl.h:233:48: error: expected primary-expression before ‘,’ token
/usr/include/sasl/sasl.h:234:5: error: ‘sasl_calloc_t’ was not declared in this scope
/usr/include/sasl/sasl.h:234:20: error: expected primary-expression before ‘,’ token
/usr/include/sasl/sasl.h:235:20: error: expected primary-expression before ‘*’ token
/usr/include/sasl/sasl.h:235:21: error: expected primary-expression before ‘,’ token
/usr/include/sasl/sasl.h:236:17: error: expected primary-expression before ‘*’ token
/usr/include/sasl/sasl.h:236:18: error: expected primary-expression before ‘)’ token

The above code is from your wgetpaste output.
I had exactly the same and downgrading cyrus-sasl from 2.1.26 to 2.1.25-r4 solved it.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 857
Location: /mnt/Gentoo/

PostPosted: Sat Feb 23, 2013 8:39 pm    Post subject: Reply with quote

gerard82 wrote:
I had exactly the same and downgrading cyrus-sasl from 2.1.26 to 2.1.25-r4 solved it.
Gerard.


Did help for me :)
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2232
Location: Netherlands

PostPosted: Sat Feb 23, 2013 8:52 pm    Post subject: Reply with quote

Xywa when I do an upgrade I do the following:
Code:

emerge -uDNpv world

I then check what will be upgraded.
Before running the upgrade I first do
Code:

emerge -uDNpv world > uworld1....6

I increment the uworld file to have the last 6 upgrades in case of problems.
I saw that cyrus-sasl was upgraded besides kdepimplibs.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2232
Location: Netherlands

PostPosted: Sun Feb 24, 2013 10:21 am    Post subject: Reply with quote

Just synced.
cyrus-sasl was repaired in version 2.1.26-r1.
Kdepimlibs-4.10.0-r1 now compiles fine with it.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum